/*
 * ks0108_Arduino.h - User specific configuration for Arduino GLCD library
 *
 * Use this file to set io pins
 * This version is for a standard ks0108 display
 * connected using the default Arduino wiring
 *
*/

#ifndef GLCD_PIN_CONFIG_H
#define GLCD_PIN_CONFIG_H

/*
 * define name for pin configuration
 */
#define glcd_PinConfigName "st7565_dmg12864i_arduino"

/*********************************************************/
/*  Configuration for assigning LCD bits to Arduino Pins */
/*********************************************************/
/* Data pin definitions
 */
#define glcdData0Pin        5
#define glcdData1Pin        6
#define glcdData2Pin        7
#define glcdData3Pin        8
#define glcdData4Pin        9
#define glcdData5Pin        10
#define glcdData6Pin        11
#define glcdData7Pin        12

/* Arduino pins used for Commands
 * default assignment uses the first five analog pins
 */

//#define glcdCSEL1        14
//#define glcdCSEL2        15


#define DO_NOP          255 /* Indicate do nothing */
#define glcdRW           17 /* ana2 */
#define glcdDI           18 /* ana3 */
#define glcdEN            3 /* digital 3 */
// Reset Bit  - uncomment the next line if reset is connected to an output pin
#define glcdRES          16 /* ana1  Reset Bit */

#endif //GLCD_PIN_CONFIG_H
